<template lang="pug">
	input(:type="type" :title="title" :placeholder="placeholder" :value="value" @input="$emit('input', $event.target.value)" @keyup.enter="onEnter")
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
	props: {
		title: {
			type: String,
			default: null,
			required: false,
		},
		placeholder: {
			type: String,
			default: undefined,
			required: false,
		},
		value: {
			type: String,
			default: undefined,
			required: false,
		},
		type: {
			type: String,
			default: 'text',
			required: false,
		},
		onEnter: {
			type: Function,
			default: null,
			required: false,
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_colors.scss";

input {
	user-select: text;
	-moz-user-select: text;
	-webkit-user-select: text;
	-ms-user-select: text;
	margin: 5px;
	padding: 6px 12px;
	background-color: white;
	color: #0c0c0d;
	display: inline-block;
	border-style: solid;
	border-color: #DFDFDF;
	border-width: 2px;
	border-radius: 3px;
	transition: border-color 150ms;
	width: calc(100% - 11px);
	&::placeholder {
		color: rgba(12, 12, 13, 0.4);
	}
	&:hover {
		border-color: #AFAFAF;
	}
	&:focus {
		border-color: $accent-bg-color-active;
	}
}
</style>
